Bug 82724 - [EFL] EFL's LayoutTestController needs removeAllVisitedLinks implementation
Summary: [EFL] EFL's LayoutTestController needs removeAllVisitedLinks implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mikhail Pozdnyakov
URL:
Keywords:
Depends on: 82579
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 05:13 PDT by Mikhail Pozdnyakov
Modified: 2012-08-06 05:27 PDT (History)
6 users (show)

See Also:


Attachments
fix: implementation of LayoutTestController::removeAllVisitedLinks() method (2.70 KB, patch)
2012-03-30 06:07 PDT, Mikhail Pozdnyakov
no flags Details | Formatted Diff | Diff
rebased (2.60 KB, patch)
2012-08-06 04:32 PDT, Mikhail Pozdnyakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Pozdnyakov 2012-03-30 05:13:46 PDT
EFL's LayoutTestController needs removeAllVisitedLinks implementation in oreder to unskip http/tests/globalhistory/history-delegate-basic-visited-links.html
Comment 1 Mikhail Pozdnyakov 2012-03-30 06:07:16 PDT
Created attachment 134796 [details]
fix: implementation of LayoutTestController::removeAllVisitedLinks() method
Comment 2 Gyuyoung Kim 2012-03-30 06:36:01 PDT
Comment on attachment 134796 [details]
fix: implementation of LayoutTestController::removeAllVisitedLinks() method

Even though a patch is simple, I like to add simple description to patch personally. But, it looks this patch is clear. LGTM.
Comment 3 Mikhail Pozdnyakov 2012-03-30 06:58:41 PDT
(In reply to comment #2)
> (From update of attachment 134796 [details])
> Even though a patch is simple, I like to add simple description to patch personally. But, it looks this patch is clear. LGTM.
Added a short description of the fix.
Comment 4 Raphael Kubo da Costa (:rakuco) 2012-03-30 12:54:05 PDT
Comment on attachment 134796 [details]
fix: implementation of LayoutTestController::removeAllVisitedLinks() method

Looks good.
Comment 5 Gyuyoung Kim 2012-04-02 17:42:48 PDT
Comment on attachment 134796 [details]
fix: implementation of LayoutTestController::removeAllVisitedLinks() method

Looks good to me too.
Comment 6 Gyuyoung Kim 2012-07-27 18:41:22 PDT
It looks you need to rebase this patch. Then, please find reviewer on irc.
Comment 7 Mikhail Pozdnyakov 2012-08-06 04:32:20 PDT
Created attachment 156658 [details]
rebased
Comment 8 Csaba Osztrogonác 2012-08-06 04:55:05 PDT
Comment on attachment 156658 [details]
rebased

rs=me.
Comment 9 WebKit Review Bot 2012-08-06 05:27:19 PDT
Comment on attachment 156658 [details]
rebased

Clearing flags on attachment: 156658

Committed r124756: <http://trac.webkit.org/changeset/124756>
Comment 10 WebKit Review Bot 2012-08-06 05:27:24 PDT
All reviewed patches have been landed.  Closing bug.